Chat now with support
Chat with Support

Welcome, erwin customers to Quest Support Portal click here for for frequently asked questions regarding servicing your supported assets.

Foglight 5.7.5 - Upgrade Guide

Understand product versions Best practices Upgrade the Foglight Management Server Upgrade the Foglight Agent Manager Upgrade the Application Monitoring cartridges Upgrade the Database cartridges Upgrade the End User Management cartridges Upgrade the Infrastructure Management cartridges Upgrade the Integration cartridges Upgrade the cartridges in a federated or High Availability (HA) environment Appendix: Deploy an agent package using the browser interface

Start the embedded Agent Manager

The Management Server version 5.7.5.8 includes an embedded Agent Manager version 5.8.5.8. After installing the new Management Server 5.7.5.8, the embedded Agent Manager starts up by default.

If you upgraded from a version of Foglight earlier than 5.5.5, or from an installation where the embedded Agent Manager was not configured for automatic start up, the new embedded Agent Manager will not start up. After upgrading the Management Server to version 5.7.5.8, if you want to start the embedded Agent Manager version 5.7.5.8, you must edit the server.config file.

In the server.config file, set server.fglam.embedded = true.

When upgrading from Foglight version 5.5.5 or later to version 5.7.5.8, the existing embedded Agent Manager is also upgraded to version 5.8.5.8, and maintains its previous start up configuration.

Upgrade a Management Server in a federated environment

The procedure for upgrading a Federation Master and Federated Child(ren) is the same as described in Upgrade the Management Server. There are a few items in particular that should be noted when working in a Federated environment.

Important Foglight federation issue

There is a known issue that after upgrading the Federation Master: the server.federation value in the server.config file reverts back to its default value of false. To change this, you must perform the following steps before restarting the server:

1
Open the server.config file for the Federation Master.
2
In the server.config file, set server.federation = true.

If you do not perform these steps, your Federation Master will remain a normal (non-federated) Management Server.

Federation compatibility

A version 5.7.5.8 Federation Master requires that all Federated Children be upgraded to version 5.6.0 or later.

For optimal results, your Federation Master and Federated Child(ren) should be the same version.

Related Documents

The document was helpful.

Select Rating

I easily found the information I needed.

Select Rating